"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeliSabotageConsoleCloseEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player closes a heli sabotage console on Airship.
 */
class HeliSabotageConsoleCloseEvent extends events_1.RevertableEvent {
    constructor(room, helisabotagesystem, message, 
    /**
     * The player that closed the console.
     */
    player, 
    /**
     * The ID of the console that was closed.
     */
    consoleId) {
        super();
        this.room = room;
        this.helisabotagesystem = helisabotagesystem;
        this.message = message;
        this.player = player;
        this.consoleId = consoleId;
        this.eventName = "heli.consoles.close";
        this._alteredConsoleId = consoleId;
        this._alteredPlayer = player;
    }
    /**
     * The alternate ID of the console that will be closed, if changed.
     */
    get alteredConsoleId() {
        return this._alteredConsoleId;
    }
    /**
     * The alterenate player that will close the console, if changed.
     */
    get alteredPlayer() {
        return this._alteredPlayer;
    }
    /**
     * Change the ID of the console that was closed.
     * @param consoleId the ID of the conosle to close.
     */
    setConsoleId(consoleId) {
        this._alteredConsoleId = consoleId;
    }
    /**
     * Change the player that closed the console.
     * @param player The player to close the console.
     */
    setPlayer(player) {
        this._alteredPlayer = player;
    }
}
exports.HeliSabotageConsoleCloseEvent = HeliSabotageConsoleCloseEvent;
HeliSabotageConsoleCloseEvent.eventName = "heli.consoles.close";
//# sourceMappingURL=ConsoleClose.js.map